Bug 113190 - dhclient-script doesn't handle new_static_routes
dhclient-script doesn't handle new_static_routes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: dhcp (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-09 10:01 EST by Joshua Weage
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-11 11:52:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Script with added detection of static_routes (8.38 KB, text/plain)
2004-01-09 11:21 EST, Joshua Weage
no flags Details

  None (edit)
Description Joshua Weage 2004-01-09 10:01:21 EST
Description of problem:
The dhclient-script doesn't handle 'option static-routes' returned
from the DHCP server.

Version-Release number of selected component (if applicable):
dhclient-3.0pl2-6.14

How reproducible:
Always

Steps to Reproduce:
1. Configure dhcp server to send static-routes.
2. Boot dhcp client
3. No static routes are configured
  
Actual results:


Expected results:


Additional info:
Comment 1 Joshua Weage 2004-01-09 11:21:05 EST
Created attachment 96859 [details]
Script with added detection of static_routes

This script recognizes new_static_routes.
Comment 2 Daniel Walsh 2004-03-25 14:53:13 EST
Patch applied in dhcp-3.0.1rc12-5.src.rpm
Comment 3 John Flanagan 2004-12-21 14:42:06 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html

Note You need to log in before you can comment on or make changes to this bug.